//
// Created by IgorBat on 23.04.2018.
//
#include <cassert>
#include "spells/meleedamagespell.h"
#include "units/unit.h"
#include "cell.h"
#include <string>

void MeleeDamageSpell::CastSpell(Cell* from, Cell* where, Unit* who, Unit* whom){
    effects_[0] -> OperateOnUnit(whom);
}

bool MeleeDamageSpell::canCastToCell(Cell* destination, Cell* from){
    return isNeirbor(destination, from);
}
